WP6ColumnGroup Class Reference

`#include <WP6ColumnGroup.h>`

Inheritance diagram for WP6ColumnGroup:

## Public Member Functions

| WP6ColumnGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
void | parse (WP6Listener *listener) override
Public Member Functions inherited from WP6VariableLengthGroup
| WP6VariableLengthGroup ()
| ~WP6VariableLengthGroup () override
Public Member Functions inherited from WP6Part
virtual | ~WP6Part ()

## Private Attributes

unsigned short | m_margin
unsigned char | m_colType
unsigned char | m_numColumns
double | m_rowSpacing
std::vector< bool > | m_isFixedWidth
std::vector< double > | m_columnWidth

## Additional Inherited Members

Static Public Member Functions inherited from WP6VariableLengthGroup
static WP6VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
Static Public Member Functions inherited from WP6Part
static WP6Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)
Protected Member Functions inherited from WP6VariableLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getSubGroup () const
unsigned short | getSize () const
unsigned char | getFlags () const
unsigned char | getNumPrefixIDs () const
const unsigned short * | getPrefixIDs () const
unsigned short | getSizeNonDeletable () const
unsigned short | getSizeDeletable () const

## Constructor & Destructor Documentation

## WP6ColumnGroup()

WP6ColumnGroup::WP6ColumnGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

## Member Function Documentation

## _readContents()

void WP6ColumnGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

override virtual

Reimplemented from WP6VariableLengthGroup.

## parse()

void WP6ColumnGroup::parse | ( | WP6Listener * | listener | ) |

override virtual

Implements WP6Part.

## Member Data Documentation

## m_colType

unsigned char WP6ColumnGroup::m_colType

private

Referenced by _readContents(), parse(), and WP6ColumnGroup().

## m_columnWidth

std::vector<double> WP6ColumnGroup::m_columnWidth

private

Referenced by _readContents(), parse(), and WP6ColumnGroup().

## m_isFixedWidth

std::vector<bool> WP6ColumnGroup::m_isFixedWidth

private

Referenced by _readContents(), parse(), and WP6ColumnGroup().

## m_margin

unsigned short WP6ColumnGroup::m_margin

private

Referenced by _readContents(), parse(), and WP6ColumnGroup().

## m_numColumns

unsigned char WP6ColumnGroup::m_numColumns

private

Referenced by _readContents(), parse(), and WP6ColumnGroup().

## m_rowSpacing

double WP6ColumnGroup::m_rowSpacing

private

Referenced by _readContents(), and WP6ColumnGroup().

The documentation for this class was generated from the following files:

- WP6ColumnGroup.h
- WP6ColumnGroup.cpp